<?php

namespace App\Policies;

use App\Models\Admin;
use App\Models\Grade;
use App\Models\Student;
use App\Models\Teacher;
use App\Models\User;

class GradePolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->userable_type != Student::class;
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, Grade $grade): bool
    {
        return $user->userable_type != Student::class;
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->userable_type == Admin::class;
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, Grade $grade): bool
    {
        return $user->userable_type == Admin::class;
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, Grade $grade): bool
    {
        return $user->userable_type == Admin::class;
    }

    public function journal(User $user)
    {
        return $user->userable_type == Teacher::class;
    }

    public function list(User $user)
    {
        return $user->userable_type == Teacher::class;
    }
}
