<?php

namespace App\Services;

use App\Models\Grade;
use App\Models\Teacher;
use Illuminate\Support\Facades\Auth;

class GradeService
{
    public function getGrades()
    {
        if (Auth::user()->userable_type == Teacher::class) {
            return Grade::join('grade_teacher', 'grade_teacher.grade_id', '=', 'grades.id')
                ->where('grade_teacher.teacher_id', Auth::user()->userable_id)
                ->filter()
                ->paginate(5)
                ->withQueryString();
        }

        return Grade::filter()->paginate(5)->withQueryString();
    }
}
