@extends('layouts.application')

@section('content')
    <div class="container col-md-8">
        <div class="row justify-content-center">
            @if (count($students))
                <div class="card mt-4">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        {{__('Журнал')}}
                        <a href="{{ route('export-excel', [$grade, $subject]) }}" class="btn btn-info">Excel</a>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th scope="col"></th>
                                @foreach ($lessons as $lesson)
                                    <th style="text-align: center; vertical-align: middle;" scope="col">{{ $lesson->date }}</th>
                                @endforeach
                            </tr>
                            <tr>
                                <th style="text-align: center; vertical-align: middle;" scope="col">ФИО</th>
                                @foreach ($lessons as $lesson)
                                    <th style="text-align: center; vertical-align: middle;" scope="col">{{ $lesson->shortType }}</th>
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($students as $student)
                                <tr>
                                    <td style="text-align: center; vertical-align: middle;"> {{ $student->fio }}</td>
                                    @foreach ($lessons as $lesson)
                                        <td style="text-align: center; vertical-align: middle;">
                                            {{ $student->lessons->find($lesson->id)->pivot->score ?? "-" }}
                                        </td>
                                    @endforeach
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
