@extends('layouts.application')

@section('content')
    <div class="container col-md-6">
        <div class="row justify-content-center">
            <div class="card">
                <div class="card-header">{{ ('Класс') }}</div>
                <div class="card-body">
                    <div class="mb-3">
                        <h5><strong>Название: </strong>{{ $grade->name }}</h5>
                    </div>
                </div>
                @can('update', $grade)
                    <div class="card-footer">
                        <a href="{{ route('grades.edit', $grade) }}" class="btn btn-primary">Редактировать</a>
                    </div>
                @endcan
            </div>
            <div class="card mt-4">
                <div class="card-header">
                    {{__('Журнал предметов')}}
                </div>
                <div class="card-body">
                    @if(count($subjects))
                        <table class="table table-striped">
                            <thead>
                            <th>Название</th>
                            <th>&nbsp;</th>
                            </thead>
                            <tbody>
                            @foreach ($subjects as $subject)
                                <tr>
                                    <td class="table-text">
                                        <div>
                                            {{ $subject->name }}
                                        </div>
                                    </td>
                                    @can('journal', \App\Models\Grade::class)
                                        <td>
                                            <div>
                                                <a href="{{ route('grades.subjects.journal', [$grade, $subject]) }}" class="btn btn-primary">Журнал</a>
                                            </div>
                                        </td>
                                    @endcan
                                    @can('delete', $grade)
                                        <td>
                                            <form action="{{ route('grades.subjects.destroy', [$grade, $subject]) }}" method="POST" style="display: inline-block;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger">Удалить</button>
                                            </form>
                                        </td>
                                    @endcan
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    @else
                        <p>У класса отсутствуют предметы</p>
                    @endif
                </div>
                @can('create', \App\Models\Grade::class)
                    <div class="card-footer">
                        <a href="{{ route('grades.subjects.create', $grade) }}" class="btn btn-success">Добавить</a>
                    </div>
                @endcan
            </div>
        </div>
    </div>
@endsection


