@extends('layouts.application')

@section('content')
    <div class="container col-md-6">
        <div class="row justify-content-center">
            <div class="card mt-4">
                <div class="card-header">{{__('Поиск учителя')}}</div>
                <div class="card-body">
                    <form action="{{ route('teachers.index') }}" method="GET">
                        <div class="mb-3">
                            <label for="name" class="form-label">ФИО:</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{ request('name') ?? '' }}">
                        </div>
                        <div>
                            <button type="submit" class="btn btn-primary">Фильтр</button>
                        </div>
                    </form>
                </div>
            </div>
                <div class="card mt-4">
                    <div class="card-header">{{__('Учителя')}}</div>
                    <div class="card-body">
                        @if (count($teachers))
                        <table class="table table-striped">
                            <thead>
                            <th>ФИО</th>
                            <th>&nbsp;</th>
                            </thead>
                            <tbody>
                            @foreach ($teachers as $teacher)
                                <tr>
                                    <td class="table-text">
                                        <div>
                                            @can('view', $teacher)
                                                <a href="{{ route('teachers.show', $teacher) }}" class="btn btn-block">{{ $teacher->fio }}</a>
                                            @else
                                                {{ $teacher->fio }}
                                            @endcan
                                        </div>
                                    </td>
                                    @can('teacherSubjects', $teacher)
                                        <td>
                                            <div>
                                                <a href="{{ route('teachers.subjects.index', $teacher) }}" class="btn btn-warning">Предметы</a>
                                            </div>
                                        </td>
                                    @endcan
                                    @can('update', $teacher)
                                        <td>
                                            <div>
                                                <a href="{{ route('teachers.edit', $teacher) }}" class="btn btn-warning">Редактировать</a>
                                            </div>
                                        </td>
                                    @endcan
                                    @can('delete', $teacher)
                                        <td>
                                            <form action="{{ route('teachers.destroy', $teacher) }}" method="POST" style="display: inline-block;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger">Удалить</button>
                                            </form>
                                        </td>
                                    @endcan
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        @else
                            <p>Учителя отсутствуют</p>
                        @endif
                    </div>
                    @can('create', \App\Models\Teacher::class)
                        <div class="card-footer">
                            <a href="{{ route('teachers.create') }}" class="btn btn-success">Добавить</a>
                        </div>
                    @endcan
                    <div class="card-footer">{{ $teachers->links() }}</div>
                </div>
        </div>
    </div>
@endsection

